//
//  GameResource.m
//  ArmorP3V1
//
//  Copyright (c) 2012年 __MyCompanyName__. All rights reserved.
//

#import "GameResource.h"
#import "PSMutex.h"

@implementation GameResource

@synthesize existCharm = _existCharm;
@synthesize existCharmG = _existCharmG;

-(id)init {
    self = [super init];
    if (self) {
        _existCharm = TRUE;
        _existCharmG = TRUE;
    }else {
        [[PSMutex mainMutex] raiseMemoryError];
    }
    [[PSMutex mainMutex] showMemoryAlertIfError];
    return self;
}
@end
